Jump to content
CCleaner Community Forums

JacK S.

Members
  • Content Count

    1
  • Joined

  • Last visited

Community Reputation

0 Neutral

About JacK S.

  • Rank
    Newbie
  1. JacK S.

    CCleaner v3.0

    Installation, today, of CCleaner V 3.00.1303 (28/10/2010) on my old and poor MS Windows ME (Millenium Edition) machine fails. The advertising message is: "ccleaner requires Windows 2000 or later.". Until now the ccleaner updating was correct. The last level is V 2.36.1223. Could you confirm that Version 3 is not for Win ME machines ?
×
×
  • Create New...